Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 3318)
@@ -75,10 +75,4 @@
 
    USE diawri           ! Standard run outputs             (dia_wri routine)
-   USE trdicp           ! Ocean momentum/tracers trends    (trd_wri routine)
-   USE trdmld           ! mixed-layer trends               (trd_mld routine)
-   USE trdmld_rst       ! restart for mixed-layer trends
-   USE trdmod_oce       ! ocean momentum/tracers trends
-   USE trdmod           ! momentum/tracers trends   
-   USE trdvor           ! vorticity budget                 (trd_vor routine)
    USE diaptr           ! poleward transports              (dia_ptr routine)
    USE diadct           ! sections transports              (dia_dct routine)
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 3318)
@@ -18,6 +18,6 @@
    USE par_trc       ! TOP parameters
    USE trc           ! TOP variables
-   USE trdmod_oce
-   USE trdmod_trc
+   USE trd_oce       ! trends: ocean variables
+   USE trdmod_trc    ! trends: passive tracer variables
    USE iom           ! I/O library
 
@@ -283,5 +283,5 @@
       ENDIF
 
-      IF( l_trdtrc )  CALL trd_mod_trc( tra(:,:,:,jpc14), jpc14, jptra_trd_sms, kt )   ! save trends
+      IF( l_trdtrc )  CALL trd_mod_trc( tra(:,:,:,jpc14), jpc14, jptra_sms, kt )   ! save trends
 
       CALL wrk_dealloc( jpi, jpj,      zatmbc14 )
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 3318)
@@ -18,6 +18,6 @@
    USE par_trc       ! TOP parameters
    USE trc           ! TOP variables
-   USE trdmod_oce
-   USE trdmod_trc
+   USE trd_oce       ! trends: ocean variables
+   USE trdmod_trc    ! trends: passive tracer variables
    USE iom           ! I/O library
 
@@ -191,5 +191,5 @@
       IF( l_trdtrc ) THEN
           DO jn = jp_cfc0, jp_cfc1
-            CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_trd_sms, kt )   ! save trends
+            CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_sms, kt )   ! save trends
           END DO
       END IF
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcbio.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 3318)
@@ -2,10 +2,10 @@
    !!======================================================================
    !!                         ***  MODULE trcbio  ***
-   !! TOP :   LOBSTER
+   !! TOP :   LOBSTER bio model
    !!======================================================================
-   !! History :    -   !  1999-07  (M. Levy) Original code
-   !!              -   !  2000-12  (E. Kestenare) assign a parameter to name individual tracers
-   !!              -   !  2001-03  (M. Levy)  LNO3 + dia2d 
-   !!             2.0  !  2007-12  (C. Deltel, G. Madec)  F90
+   !! History :  OPA  !  1999-07  (M. Levy) Original code
+   !!             -   !  2000-12  (E. Kestenare) assign a parameter to name individual tracers
+   !!             -   !  2001-03  (M. Levy)  LNO3 + dia2d 
+   !!   NEMO     2.0  !  2007-12  (C. Deltel, G. Madec)  F90
    !!----------------------------------------------------------------------
 #if defined key_lobster
@@ -13,13 +13,13 @@
    !!   'key_lobster'                                     LOBSTER bio-model
    !!----------------------------------------------------------------------
-   !!   trc_bio        :  
-   !!----------------------------------------------------------------------
-   USE oce_trc         !
-   USE trc             ! 
-   USE sms_lobster     ! 
-   USE lbclnk          ! 
-   USE prtctl_trc      ! Print control for debbuging
-   USE trdmod_oce
-   USE trdmod_trc
+   !!   trc_bio       :  
+   !!----------------------------------------------------------------------
+   USE oce_trc        !
+   USE trc            ! 
+   USE sms_lobster    ! 
+   USE lbclnk         ! 
+   USE prtctl_trc     ! Print control for debbuging
+   USE trd_oce        ! trends: ocean variables
+   USE trdmod_trc     ! trends: passive tracer variables
    USE iom
    
@@ -27,5 +27,5 @@
    PRIVATE
 
-   PUBLIC   trc_bio    ! called in ???
+   PUBLIC   trc_bio   ! called in ???
 
    !!* Substitution
@@ -36,5 +36,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -60,7 +59,6 @@
       !!              for passive tracers are saved for futher diagnostics.
       !!---------------------------------------------------------------------
-      !!
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-      !!
+      !
       INTEGER  ::   ji, jj, jk, jl
       REAL(wp) ::   zdet, zzoo, zphy, zno3, znh4, zdom      ! now concentrations
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcexp.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 3318)
@@ -4,7 +4,7 @@
    !! TOP :   PISCES Compute loss of organic matter in the sediments
    !!======================================================================
-   !! History :    -   !  1999    (O. Aumont, C. Le Quere)  original code
+   !! History :   OPA  !  1999    (O. Aumont, C. Le Quere)  original code
    !!              -   !  2001-05 (O. Aumont, E. Kestenare) add sediment computations
-   !!             1.0  !  2005-06 (A.-S. Kremeur) new temporal integration for sedpoc
+   !!   NEMO      1.0  !  2005-06 (A.-S. Kremeur) new temporal integration for sedpoc
    !!             2.0  !  2007-12  (C. Deltel, G. Madec)  F90
    !!----------------------------------------------------------------------
@@ -21,6 +21,6 @@
    USE trcnam_trp
    USE prtctl_trc      ! Print control for debbuging
-   USE trdmod_oce
-   USE trdmod_trc
+   USE trd_oce         ! trends: ocean variables
+   USE trdmod_trc      ! trends: passive tracer variables
    USE iom
 
@@ -37,5 +37,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -53,7 +52,6 @@
       !!              COLUMN BELOW THE SURFACE LAYER.
       !!---------------------------------------------------------------------
-      !!
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-      !!
+      !
       INTEGER  ::   ji, jj, jk, jl, ikt, ierr
       REAL(wp) ::   zgeolpoc, zfact, zwork, ze3t, zsedpocd
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsed.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 3318)
@@ -18,6 +18,6 @@
    USE sms_lobster
    USE lbclnk
-   USE trdmod_oce
-   USE trdmod_trc
+   USE trd_oce         ! trends: ocean variables
+   USE trdmod_trc      ! trends: passive tracer variables
    USE iom
    USE prtctl_trc      ! Print control for debbuging
@@ -35,5 +35,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -56,11 +55,10 @@
       !!              trend of passive tracers is saved for futher diagnostics.
       !!---------------------------------------------------------------------
-      !!
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-      !!
+      !
       INTEGER  ::   ji, jj, jk, jl, ierr
       CHARACTER (len=25) :: charout
-      REAL(wp), POINTER, DIMENSION(:,:  ) :: zw2d
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zwork, ztra, ztrbio
+      REAL(wp), POINTER, DIMENSION(:,:  ) ::   zw2d
+      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zwork, ztra, ztrbio
       !!---------------------------------------------------------------------
       !
@@ -76,7 +74,5 @@
       CALL wrk_alloc( jpi, jpj, jpk, zwork, ztra )
 
-      IF( ln_diatrc )  THEN
-         CALL wrk_alloc( jpi, jpj, zw2d )
-      ENDIF
+      IF( ln_diatrc )   CALL wrk_alloc( jpi, jpj, zw2d )
 
       IF( l_trdtrc ) THEN
@@ -109,19 +105,13 @@
       IF( ln_diatrc ) THEN 
          DO jk = 1, jpkm1
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  zw2d(ji,jj) = zw2d(ji,jj) + ztra(ji,jj,jk) * fse3t(ji,jj,jk) * 86400.
-               END DO
-            END DO
+            zw2d(:,:) = zw2d(:,:) + ztra(:,:,jk) * fse3t(:,:,jk) * 86400._wp
          END DO
-         IF( lk_iomput )  THEN
-           CALL iom_put( "TDETSED", zw2d )
-         ELSE
-           trc2d(:,:,jp_lob0_2d + 7) = zw2d(:,:)
+         IF( lk_iomput ) THEN   ;   CALL iom_put( "TDETSED", zw2d )
+         ELSE                   ;   trc2d(:,:,jp_lob0_2d + 7) = zw2d(:,:)
          ENDIF
          CALL wrk_dealloc( jpi, jpj, zw2d )
       ENDIF
       !
-      IF( ln_diabio )  trbio(:,:,:,jp_lob0_trd + 7) = ztra(:,:,:)
+      IF( ln_diabio )   trbio(:,:,:,jp_lob0_trd + 7) = ztra(:,:,:)
       CALL wrk_dealloc( jpi, jpj, jpk, zwork, ztra )
       !
@@ -133,5 +123,5 @@
       ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sed')")
          CALL prt_ctl_trc_info(charout)
@@ -139,5 +129,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_sed')
+      IF( nn_timing == 1 )   CALL timing_stop('trc_sed')
       !
    END SUBROUTINE trc_sed
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsms_lobster.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsms_lobster.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsms_lobster.F90	(revision 3318)
@@ -4,5 +4,5 @@
    !! TOP :   Time loop of LOBSTER model
    !!======================================================================
-   !! History :   1.0  !            M. Levy
+   !! History :   1.0  !  2004-02  (M. Levy)  original code
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  revised architecture
    !!----------------------------------------------------------------------
@@ -13,5 +13,5 @@
    !!   trcsms_lobster        :  Time loop of passive tracers sms
    !!----------------------------------------------------------------------
-   USE oce_trc          !
+   USE oce_trc       !
    USE trc
    USE trcbio
@@ -19,6 +19,6 @@
    USE trcsed
    USE trcexp
-   USE trdmod_oce
-   USE trdmod_trc_oce
+   USE trd_oce       ! trends: ocean variables
+   USE trdmod_trc    ! trends: passive tracer variables
    USE trdmod_trc
    USE trdmld_trc
@@ -60,5 +60,5 @@
       IF( l_trdtrc ) THEN
          DO jn = jp_lob0, jp_lob1
-           CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_trd_sms, kt )   ! save trends
+           CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_sms, kt )   ! save trends
          END DO
       END IF
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 3318)
@@ -13,9 +13,9 @@
    !! trc_sms_my_trc_alloc : allocate arrays specific to MY_TRC sms
    !!----------------------------------------------------------------------
-   USE par_trc         ! TOP parameters
-   USE oce_trc         ! Ocean variables
-   USE trc             ! TOP variables
-   USE trdmod_oce
-   USE trdmod_trc
+   USE par_trc       ! TOP parameters
+   USE oce_trc       ! Ocean variables
+   USE trc           ! TOP variables
+   USE trd_oce       ! trends: ocean variables
+   USE trdmod_trc    ! trends: passive tracer variables
 
    IMPLICIT NONE
@@ -42,9 +42,9 @@
       !! ** Method  : -
       !!----------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       !
-      INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       INTEGER ::   jn   ! dummy loop index
       REAL(wp), POINTER, DIMENSION(:,:,:) :: ztrmyt
-!!----------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )  CALL timing_start('trc_sms_my_trc')
@@ -71,5 +71,5 @@
           DO jn = jp_myt0, jp_myt1
             ztrmyt(:,:,:) = tra(:,:,:,jn)
-            CALL trd_mod_trc( ztrmyt, jn, jptra_trd_sms, kt )   ! save trends
+            CALL trd_mod_trc( ztrmyt, jn, jptra_sms, kt )   ! save trends
           END DO
           CALL wrk_dealloc( jpi, jpj, jpk, ztrmyt )
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 3318)
@@ -4,6 +4,6 @@
    !! TOP :   PISCES Source Minus Sink manager
    !!======================================================================
-   !! History :   1.0  !  2004-03 (O. Aumont) Original code
-   !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
+   !! History :  1.0  !  2004-03 (O. Aumont) Original code
+   !!            2.0  !  2007-12  (C. Ethe, G. Madec)  F90
    !!----------------------------------------------------------------------
 #if defined key_pisces
@@ -11,30 +11,30 @@
    !!   'key_pisces'                                       PISCES bio-model
    !!----------------------------------------------------------------------
-   !!   trcsms_pisces        :  Time loop of passive tracers sms
-   !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zbio          !  Biological model
-   USE p4zche          !  Chemical model
-   USE p4zlys          !  Calcite saturation
-   USE p4zflx          !  Gas exchange
-   USE p4zsed          !  Sedimentation
-   USE p4zint          !  time interpolation
-   USE trdmod_oce      !  Ocean trends variables
-   USE trdmod_trc      !  TOP trends variables
-   USE sedmodel        !  Sediment model
-   USE prtctl_trc      !  print control for debugging
+   !!   trcsms_pisces :  Time loop of passive tracers sms
+   !!----------------------------------------------------------------------
+   USE oce_trc        !  shared variables between ocean and passive tracers
+   USE trc            !  passive tracers common variables 
+   USE sms_pisces     !  PISCES Source Minus Sink variables
+   USE p4zbio         !  Biological model
+   USE p4zche         !  Chemical model
+   USE p4zlys         !  Calcite saturation
+   USE p4zflx         !  Gas exchange
+   USE p4zsed         !  Sedimentation
+   USE p4zint         !  time interpolation
+   USE trd_oce        ! trends: ocean variables
+   USE trdmod_trc     !  TOP trends variables
+   USE sedmodel       !  Sediment model
+   USE prtctl_trc     !  print control for debugging
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC   trc_sms_pisces    ! called in trcsms.F90
-
-   LOGICAL ::  ln_check_mass = .false.       !: Flag to check mass conservation 
-
-   INTEGER ::  numno3  !: logical unit for NO3 budget
-   INTEGER ::  numalk  !: logical unit for talk budget
-   INTEGER ::  numsil  !: logical unit for Si budget
+   PUBLIC   trc_sms_pisces   ! called in trcsms.F90
+
+   LOGICAL ::   ln_check_mass = .false.   ! Flag to check mass conservation 
+
+   INTEGER ::   numno3   ! logical unit for NO3 budget
+   INTEGER ::   numalk   ! logical unit for talk budget
+   INTEGER ::   numsil   ! logical unit for Si budget
 
    !!----------------------------------------------------------------------
@@ -43,5 +43,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -57,12 +56,11 @@
       !!              - ...
       !!---------------------------------------------------------------------
-      !
-      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-      !!
-      INTEGER ::   jnt, jn
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index      
+      !
+      INTEGER ::   jnt, jn   ! dummy loop indices
       CHARACTER (len=25) :: charout
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_sms_pisces')
+      IF( nn_timing == 1 )   CALL timing_start('trc_sms_pisces')
       !
       IF( ln_pisdmp .AND. MOD( kt - nn_dttrc, nn_pisdmp ) == 0 )   CALL trc_sms_pisces_dmp( kt )  ! Relaxation of some tracers
@@ -102,5 +100,5 @@
       IF( l_trdtrc ) THEN
           DO jn = jp_pcs0, jp_pcs1
-            CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_trd_sms, kt )   ! save trends
+            CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_sms, kt )   ! save trends
           END DO
       END IF
@@ -120,4 +118,5 @@
    END SUBROUTINE trc_sms_pisces
 
+
    SUBROUTINE trc_sms_pisces_dmp( kt )
       !!----------------------------------------------------------------------
@@ -126,15 +125,13 @@
       !! ** purpose  : Relaxation of some tracers
       !!----------------------------------------------------------------------
-      !
       INTEGER, INTENT( in )  ::     kt ! time step
       !
-      REAL(wp) ::  alkmean = 2426.     ! mean value of alkalinity ( Glodap ; for Goyet 2391. )
-      REAL(wp) ::  po4mean = 2.165     ! mean value of phosphates
-      REAL(wp) ::  no3mean = 30.90     ! mean value of nitrate
-      REAL(wp) ::  silmean = 91.51     ! mean value of silicate
-      !
-      REAL(wp) :: zarea, zalksum, zpo4sum, zno3sum, zsilsum
-      !!---------------------------------------------------------------------
-
+      REAL(wp) ::   alkmean = 2426.   ! mean value of alkalinity ( Glodap ; for Goyet 2391. )
+      REAL(wp) ::   po4mean = 2.165   ! mean value of phosphates
+      REAL(wp) ::   no3mean = 30.90   ! mean value of nitrate
+      REAL(wp) ::   silmean = 91.51   ! mean value of silicate
+      !
+      REAL(wp) ::   zarea, zalksum, zpo4sum, zno3sum, zsilsum   ! local scalars
+      !!---------------------------------------------------------------------
 
       IF(lwp)  WRITE(numout,*)
@@ -165,6 +162,7 @@
          !
       ENDIF
-
+      !
    END SUBROUTINE trc_sms_pisces_dmp
+
 
    SUBROUTINE trc_sms_pisces_mass_conserv ( kt )
@@ -173,14 +171,12 @@
       !!
       !! ** Purpose :  Mass conservation check 
-      !!
-      !!---------------------------------------------------------------------
-      !
+      !!---------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-      !!
+      !
       REAL(wp) :: zalkbudget, zno3budget, zsilbudget
       !
       NAMELIST/nampismass/ ln_check_mass
       !!---------------------------------------------------------------------
-
+      !
       IF( kt == nittrc000 ) THEN 
          REWIND( numnatp )       
@@ -199,5 +195,5 @@
          ENDIF
       ENDIF
-
+      !
       IF( ln_check_mass ) THEN      !   Compute the budget of NO3, ALK, Si
          zno3budget = glob_sum( (   trn(:,:,:,jpno3) + trn(:,:,:,jpnh4)  &
@@ -206,12 +202,12 @@
             &                     + trn(:,:,:,jppoc) + trn(:,:,:,jpgoc)  &
             &                     + trn(:,:,:,jpdoc)                     ) * cvol(:,:,:)  ) 
-         ! 
+            ! 
          zsilbudget = glob_sum( (   trn(:,:,:,jpsil) + trn(:,:,:,jpgsi)  &
             &                     + trn(:,:,:,jpdsi)                     ) * cvol(:,:,:)  )
-         ! 
+            ! 
          zalkbudget = glob_sum( (   trn(:,:,:,jpno3) * rno3              &
             &                     + trn(:,:,:,jptal)                     &
             &                     + trn(:,:,:,jpcal) * 2.                ) * cvol(:,:,:)  )
-
+            !
          IF( lwp ) THEN
             WRITE(numno3,9500) kt,  zno3budget / areatot
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 3318)
@@ -49,11 +49,8 @@
    INTEGER FUNCTION trc_adv_alloc()
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE trc_adv_alloc  ***
-      !!----------------------------------------------------------------------
-
+      !!                  ***  FUNDCTION trc_adv_alloc  ***
+      !!----------------------------------------------------------------------
       ALLOCATE( r2dt(jpk), STAT=trc_adv_alloc )
-
       IF( trc_adv_alloc /= 0 ) CALL ctl_warn('trc_adv_alloc : failed to allocate array.')
-
    END FUNCTION trc_adv_alloc
 
@@ -67,10 +64,9 @@
       !! ** Method  : - Update the tracer with the advection term following nadv
       !!----------------------------------------------------------------------
-      !!
       INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       !
       INTEGER ::   jk 
       CHARACTER (len=22) ::   charout
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zun, zvn, zwn  ! effective velocity
+      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zun, zvn, zwn  ! effective velocity
       !!----------------------------------------------------------------------
       !
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 3318)
@@ -5,5 +5,4 @@
    !!                                  layer scheme
    !!======================================================================
-   !!==============================================================================
    !! History :  OPA  !  1996-06  (L. Mortier)  Original code
    !!            8.0  !  1997-11  (G. Madec)    Optimization
@@ -18,16 +17,15 @@
    !!   'key_trabbl                      diffusive or/and adevective bottom boundary layer
    !!----------------------------------------------------------------------
-   !!    trc_bbl       : update the tracer trends due to the bottom boundary layer (advective and/or diffusive)
+   !!    trc_bbl : update the tracer trends due to the bottom boundary layer (advective and/or diffusive)
    !!----------------------------------------------------------------------
-   USE oce_trc             ! ocean dynamics and active tracers variables
-   USE trc                 ! ocean passive tracers variables
+   USE oce_trc         ! ocean dynamics and active tracers variables
+   USE trc             ! ocean passive tracers variables
    USE trcnam_trp      ! passive tracers transport namelist variables
-   USE trabbl              ! 
-   USE prtctl_trc          ! Print control for debbuging
-   USE trdmod_oce
-   USE trdtra
+   USE trabbl          ! tracers: bottom boundary layer
+   USE prtctl_trc      ! Print control for debbuging
+   USE trd_oce         ! trends: ocean variables
+   USE trdtra          ! trends: tracer manager
 
-   PUBLIC   trc_bbl       !  routine called by step.F90
-
+   PUBLIC   trc_bbl    !  routine called by step.F90
 
    !! * Substitutions
@@ -38,7 +36,5 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
-
 
    SUBROUTINE trc_bbl( kt )
@@ -93,5 +89,5 @@
         DO jn = 1, jptra
            ztrtrd(:,:,:,jn) = tra(:,:,:,jn) - ztrtrd(:,:,:,jn)
-           CALL trd_tra( kt, 'TRC', jn, jptra_trd_ldf, ztrtrd(:,:,:,jn) )
+           CALL trd_tra( kt, 'TRC', jn, jptra_ldf, ztrtrd(:,:,:,jn) )
         END DO
         CALL wrk_dealloc( jpi, jpj, jpk, jptra, ztrtrd ) ! temporary save of trends
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 3318)
@@ -153,5 +153,5 @@
          IF( l_trdtrc ) THEN
             ztrtrd(:,:,:) = tra(:,:,:,jn) -  ztrtrd(:,:,:)
-            CALL trd_tra( kt, 'TRC', jn, jptra_trd_dmp, ztrtrd )
+            CALL trd_tra( kt, 'TRC', jn, jptra_dmp, ztrtrd )
          END IF
          !                                                       ! ===========
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcldf.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcldf.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcldf.F90	(revision 3318)
@@ -4,11 +4,10 @@
    !! Ocean Passive tracers : lateral diffusive trends
    !!=====================================================================
-   !! History :  9.0  ! 2005-11 (G. Madec)  Original code
-   !!       NEMO 3.0  ! 2008-01  (C. Ethe, G. Madec)  merge TRC-TRA
+   !! History :  1.0  ! 2005-11  (G. Madec)  Original code
+   !!            3.0  ! 2008-01  (C. Ethe, G. Madec)  merge TRC-TRA
    !!----------------------------------------------------------------------
 #if defined key_top
    !!----------------------------------------------------------------------
    !!   'key_top'                                                TOP models
-   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   trc_ldf     : update the tracer trend with the lateral diffusion
@@ -25,6 +24,6 @@
    USE traldf_iso_grif ! lateral mixing          (tra_ldf_iso_grif routine)
    USE traldf_lap      ! lateral mixing            (tra_ldf_lap routine)
-   USE trdmod_oce
-   USE trdtra
+   USE trd_oce         ! trends: ocean variables
+   USE trdtra          ! trends: tracer manager
    USE prtctl_trc      ! Print control
 
@@ -36,4 +35,5 @@
    REAL(wp) ::  rldf_rat    ! ratio between active and passive tracers diffusive coefficient
    INTEGER  ::  nldf = 0   ! type of lateral diffusion used defined from ln_trcldf_... namlist logicals)
+
    !! * Substitutions
 #  include "domzgr_substitute.h90"
@@ -44,5 +44,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -105,5 +104,5 @@
         DO jn = 1, jptra
            ztrtrd(:,:,:,jn) = tra(:,:,:,jn) - ztrtrd(:,:,:,jn)
-           CALL trd_tra( kt, 'TRC', jn, jptra_trd_ldf, ztrtrd(:,:,:,jn) )
+           CALL trd_tra( kt, 'TRC', jn, jptra_ldf, ztrtrd(:,:,:,jn) )
         END DO
         CALL wrk_dealloc( jpi, jpj, jpk, jptra, ztrtrd )
Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 3317)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 3318)
@@ -30,7 +30,7 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl_trc      ! Print control for debbuging
-   USE trdmod_oce
-   USE trdtra
-   USE tranxt
+   USE trd_oce         ! trends: ocean variables
+   USE trdtra          ! trends: tracer manager
+   USE tranxt          ! 
 # if defined key_agrif
    USE agrif_top_update
@@ -157,5 +157,5 @@
                zfact = 1.e0 / r2dt(jk)  
                ztrdt(:,:,jk,jn) = ( trb(:,:,jk,jn) - ztrdt(:,:,jk,jn) ) * zfact 
-               CALL trd_tra( kt, 'TRC', jn, jptra_trd_atf, ztrdt )
+               CALL trd_tra( kt, 'TRC', jn, jptra_atf, ztrdt )
             END DO
          END DO
